 Georeferencer:Japanese file name problem

2013-07-08 05:55 AM - KOSUKE ASAHI

Status: Closed

Priority: Severe/Regression

Assignee:

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 17049

Description

Could I report GDAL georeferencer problem here?

Error occurs, when we use Japanese file name to output file name.

There are two kind behavior.

- file name characters were garbled when we use Japanese characters file name

- don't get any output when file path include Japanese characters

Tested QGIS d37e03b from OSGeo4W.

History

#1 - 2013-07-08 05:49 PM - Minoru Akagi

- Target version changed from Future Release - High Priority to Version 2.0.0

There is a pull request to fix this issue: https://github.com/qgis/Quantum-GIS/pull/581

#2 - 2013-07-09 01:28 PM - Hiroyuki Kobayashi

This problem is the same as I reported to the GDAL site before.

http://trac.osgeo.org/gdal/ticket/4376

It has not been fixed for one and a half year.

I am not sure it is GDAL's issue or QGIS's issue, but I hope it will be fixed as soon as possible, otherwise some potential Japanese (Korean, Chinese..)

users would give up to use QGIS.

#3 - 2013-07-10 02:26 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

- Category set to C++ Plugins

I am not sure it is GDAL's issue or QGIS's issue, but I hope it will be fixed as soon as possible, otherwise some potential Japanese (Korean,

Chinese..) users would give up to use QGIS.

Please make your case in the developer mailing list in order to have someone review and eventually apply

2025-04-27 1/2

https://github.com/qgis/Quantum-GIS/pull/581
http://trac.osgeo.org/gdal/ticket/4376


https://github.com/qgis/Quantum-GIS/pull/581

#4 - 2013-07-11 01:28 AM - Minoru Akagi

I want to tag this issue as blocker if possible, because with QGIS 1.6 (QGIS-OSGeo4W-1.6.0-14615-Setup.exe, which can be downloaded from download

page. It is compiled against GDAL 1.7.3), georeferencing works well even if the output file path includes non-ascii characters.

#5 - 2013-07-11 01:29 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

Minoru Akagi wrote:

I want to tag this issue as blocker if possible, because with QGIS 1.6 (QGIS-OSGeo4W-1.6.0-14615-Setup.exe, which can be downloaded from 

download page. It is compiled against GDAL 1.7.3), georeferencing works well even if the output file path includes non-ascii characters.

if is a regression, is a blocker.

#6 - 2013-07-12 02:22 PM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

Pull request !#581 was merged.

#7 - 2013-07-12 02:55 PM - Minoru Akagi

Thank you, Giovanni and Jürgen!

#8 - 2013-07-12 02:55 PM - Giovanni Manghi

Minoru Akagi wrote:

Thank you, Giovanni and Jürgen!

Thank Jürgen, I did nothing :)
